<?php
namespace App\Worldspan\StructureParser\Structures\MCO;

class Extradata extends \App\Worldspan\StructureParser\Structures\Base\Base
{
	protected function _getData()
	{
		list($parsedStructure, , $transactionIndexes) = $this->getTransactionDetails();

		$RO = $parsedStructure['MCO'][$transactionIndexes['MCOIdx']]['RO'];

		$item = new \App\Worldspan\StructureParser\Types\Extradata();
		$item->reasonCode_text = 		$RO['TypeOfServiceInformation'];
		$item->reasonSubCode_text = 	sprintf("%s/%s", $RO['IncludesTOAndInformation'], $RO['IncludesATAndInformation']);
		return $item;
	}
}
